Bug 1240451 - Individual abandoned simple paged results request has no chance to be cleaned up
Summary: Individual abandoned simple paged results request has no chance to be cleaned up
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On: 1228402
Blocks: 1075802 1272422
TreeView+ depends on / blocked
 
Reported: 2015-07-07 00:06 UTC by Noriko Hosoi
Modified: 2016-05-10 19:19 UTC (History)
7 users (show)

(edit)
This bug shares the CCFR with bz1247792.
Clone Of: 1228402
(edit)
Last Closed: 2016-05-10 19:19:48 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0737 normal SHIPPED_LIVE 389-ds-base bug fix and enhancement update 2016-05-10 22:29:13 UTC

Comment 2 Amita Sharma 2015-12-09 10:57:37 UTC
Hi Noriko,

I Have executed the test as per mentioned steps ::
1. Acceptance test results ::
Subject: SUCCESS: Acceptance 389-ds-base-1.2.11.15-69.el6.x86_64 - 76% passed
TET Tag: none
Report : http://vm-idm-011.lab.eng.pnq.redhat.com/qa/archive/beaker/RHEL-6.7-20150702.0/x86_64/389-ds-base-1.2.11.15-69.el6.x86_64/Linux/20151209-102547.html
DS version: 389-ds-base-1.2.11.15-69.el6.x86_64
DStet revision: 6417
DStet git commit: c265f95cef50fdd615d8684317d3cac823b106df

===== [Pass/Fail] break down =====
Test Name 	PASS 	FAIL 	NORESULT
quickinstall startup 	  	20% (1/5) 	 
SIMPLEPAGED startup 	100% (1/1) 	  	 
SIMPLEPAGED run 	100% (17/17) 	  	 
SIMPLEPAGED cleanup 	100% (1/1) 	  	 
filter startup 	100% (1/1) 	  	 
filter run 	  	0% (2/273) 	 
filter cleanup 	100% (2/2) 	  	 

2. I can see the pr_idx value going only up while test is running in the access logs ::
[09/Dec/2015:05:54:29 -0500] conn=2 op=131335 RESULT err=32 tag=101 nentries=0 etime=0 notes=P pr_idx=43778
[09/Dec/2015:05:54:29 -0500] conn=11 op=134721 SRCH base="o=redhat" scope=2 filter="(cn=user100*)" attrs=ALL
[09/Dec/2015:05:54:29 -0500] conn=1 op=130870 RESULT err=32 tag=101 nentries=0 etime=0 notes=P pr_idx=43623
[09/Dec/2015:05:54:29 -0500] conn=7 op=133467 RESULT err=32 tag=101 nentries=0 etime=0 notes=P pr_idx=44488
[09/Dec/2015:05:54:29 -0500] conn=1 op=130871 ABANDON targetop=Simple Paged Results msgid=130871

also, CPU usage is very high
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                                            
26314 nobody    20   0 1642m 218m  25m S 193.8  2.8  51:34.74 ns-slapd  

3. Should I wait for the test to finish in order to get low pr_idx value ?

Thanks & Regards,
Ami

Comment 3 Noriko Hosoi 2015-12-09 20:16:56 UTC
(In reply to Amita Sharma from comment #2)
> Hi Noriko,
> 
> I Have executed the test as per mentioned steps ::
> 1. Acceptance test results ::
> Subject: SUCCESS: Acceptance 389-ds-base-1.2.11.15-69.el6.x86_64 - 76% passed
> TET Tag: none
> Report :
> http://vm-idm-011.lab.eng.pnq.redhat.com/qa/archive/beaker/RHEL-6.7-20150702.
> 0/x86_64/389-ds-base-1.2.11.15-69.el6.x86_64/Linux/20151209-102547.html
> DS version: 389-ds-base-1.2.11.15-69.el6.x86_64
> DStet revision: 6417
> DStet git commit: c265f95cef50fdd615d8684317d3cac823b106df
> 
> ===== [Pass/Fail] break down =====
> Test Name 	PASS 	FAIL 	NORESULT
> quickinstall startup 	  	20% (1/5) 	 
> SIMPLEPAGED startup 	100% (1/1) 	  	 
> SIMPLEPAGED run 	100% (17/17) 	  	 
> SIMPLEPAGED cleanup 	100% (1/1) 	  	 
> filter startup 	100% (1/1) 	  	 
> filter run 	  	0% (2/273) 	 
> filter cleanup 	100% (2/2) 	  	

Looking at the filter test results, vfltr_97 and _99 failed although _98 passed.  
> vfltr_97: Old Single Backend Control. Using OID = 2.16.840.1.113730.3.4.14
> Criticality :1 and no backend listed
> ldapsearch either FAILED or returned entries here :2
> expecting protocol error, error # 2
> vfltr_98: Old Single Backend Control. Using OID = 2.16.840.1.113730.3.4.14
> Criticality :0 and no backend listed
> LDAPSEARCH returned a Protocol error for the old backend control, PASSED : 2
> vfltr_99: Old Single Backend Control. Using OID = 2.16.840.1.113730.3.4.14
> Criticality :1 and no sub backend listed
> ldapsearch either FAILED or returned entries here :
> expecting protocol error, error # 2

I'm curious what $TET_TMP_DIR/o97, o98, o99 stored.

BTW, the test cases have a minor bug in each.  In the error case, we see the following line, but RC is not set after the $LDAPSEARCH.  You may want to add it.  Also, I'd guess this $RC should be replaced with $res???  
        message "ldapsearch either FAILED or returned entries here :$RC".

Anyway, these failures are not related to the verification of this bug...

> 2. I can see the pr_idx value going only up while test is running in the
> access logs ::
> [09/Dec/2015:05:54:29 -0500] conn=2 op=131335 RESULT err=32 tag=101
> nentries=0 etime=0 notes=P pr_idx=43778
> [09/Dec/2015:05:54:29 -0500] conn=11 op=134721 SRCH base="o=redhat" scope=2
> filter="(cn=user100*)" attrs=ALL
> [09/Dec/2015:05:54:29 -0500] conn=1 op=130870 RESULT err=32 tag=101
> nentries=0 etime=0 notes=P pr_idx=43623
> [09/Dec/2015:05:54:29 -0500] conn=7 op=133467 RESULT err=32 tag=101
> nentries=0 etime=0 notes=P pr_idx=44488
> [09/Dec/2015:05:54:29 -0500] conn=1 op=130871 ABANDON targetop=Simple Paged
> Results msgid=130871
> 
> also, CPU usage is very high
>   PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND        
> 
> 26314 nobody    20   0 1642m 218m  25m S 193.8  2.8  51:34.74 ns-slapd  

I'd think this test gives quite a high stress to the server.

> 3. Should I wait for the test to finish in order to get low pr_idx value ?

See https://fedorahosted.org/389/ticket/48375.

For this bug verification, please change the suffix "o=redhat" in paged_def.c with yours and set verified.  For the particular issue, I'm opening a bug.

Thanks.

Comment 4 Noriko Hosoi 2015-12-09 22:34:54 UTC
> For the particular issue, I'm opening a bug.
Bug 1290243 - SimplePagedResults -- in the search error case, simple paged results slot was not released.

Comment 5 Amita Sharma 2015-12-10 07:52:02 UTC
Thanks Noriko,

I have verified with the updated suffix, test case working fine.

Not too much CPU usage
27578 nobody    20   0 1577m  35m  25m S 25.2  0.5   0:50.41 ns-slapd      

Also index is fine ::
  pr_idx=0

Hence marking bug as VERIFIED.

Thanks for opening separate bug

Comment 7 errata-xmlrpc 2016-05-10 19:19:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0737.html


Note You need to log in before you can comment on or make changes to this bug.